Functions

# glm::gtx::color_space_YCoCg Namespace Reference

GLM_GTX_color_space_YCoCg extension: RGB to YCoCg conversions and operations. More...

## Functions
template<typename valType >
detail::tvec3< valType > | rgb2YCoCg (detail::tvec3< valType > const &rgbColor)
| Convert a color from RGB color space to YCoCg color space.
template<typename valType >
detail::tvec3< valType > | rgb2YCoCgR (detail::tvec3< valType > const &rgbColor)
| Convert a color from RGB color space to YCoCgR color space.
template<typename valType >
detail::tvec3< valType > | YCoCg2rgb (detail::tvec3< valType > const &YCoCgColor)
| Convert a color from YCoCg color space to RGB color space.
template<typename valType >
detail::tvec3< valType > | YCoCgR2rgb (detail::tvec3< valType > const &YCoCgColor)
| Convert a color from YCoCgR color space to RGB color space.

## Detailed Description

GLM_GTX_color_space_YCoCg extension: RGB to YCoCg conversions and operations.

## Function Documentation

detail::tvec3<valType> glm::gtx::color_space_YCoCg::rgb2YCoCg | ( | detail::tvec3< valType > const & | rgbColor ) |

Convert a color from RGB color space to YCoCg color space.

From GLM_GTX_color_space_YCoCg extension.

detail::tvec3<valType> glm::gtx::color_space_YCoCg::rgb2YCoCgR | ( | detail::tvec3< valType > const & | rgbColor ) |

Convert a color from RGB color space to YCoCgR color space.

See also:
  "YCoCg-R: A Color Space with RGB Reversibility and Low Dynamic Range" From GLM_GTX_color_space_YCoCg extension.

detail::tvec3<valType> glm::gtx::color_space_YCoCg::YCoCg2rgb | ( | detail::tvec3< valType > const & | YCoCgColor ) |

Convert a color from YCoCg color space to RGB color space.

From GLM_GTX_color_space_YCoCg extension.

detail::tvec3<valType> glm::gtx::color_space_YCoCg::YCoCgR2rgb | ( | detail::tvec3< valType > const & | YCoCgColor ) |

Convert a color from YCoCgR color space to RGB color space.

See also:
  "YCoCg-R: A Color Space with RGB Reversibility and Low Dynamic Range" From GLM_GTX_color_space_YCoCg extension.